summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorJakub Klinkovsk√Ĺ <j.l.k@gmx.com>2019-02-10 18:11:30 +0100
committerJakub Klinkovsk√Ĺ <j.l.k@gmx.com>2019-02-10 18:12:18 +0100
commit39dcbfc56e81eabefeb8eb4427a5b03bc82d750d (patch)
treec9bf860c13640e375f3cacbfde1fcfdea5aaa754
parentb5639100ab3e1668fe932197e8305584a013107e (diff)
rebase on extra/cairo
-rw-r--r--PKGBUILD66
1 files changed, 38 insertions, 28 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e6374cc..8b7ee2d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,24 +1,21 @@
-# $Id: PKGBUILD 272756 2016-07-31 10:13:10Z andyrtr $
# Maintainer: Jan de Groot <jgc@archlinux.org>
# Contributor: Brice Carpentier <brice@daknet.org>
pkgname=cairo-infinality-ultimate
_name=cairo
-pkgver=1.15.12
+pkgver=1.16.0
pkgrel=1
-pkgdesc="Cairo vector graphics library"
-arch=(i686 x86_64)
-license=('LGPL' 'MPL')
-url="http://cairographics.org/"
-groups=('infinality-bundle')
-# requires libGL + libEGL - all libgl variants (mesa
-depends=('libpng' 'libxrender' 'libxext' 'fontconfig-infinality-ultimate' 'pixman' 'glib2' 'libgl' 'lzo')
-makedepends=('libgl' 'librsvg' 'gtk2' 'poppler-glib' 'libspectre' 'gtk-doc' 'valgrind' 'git')
-provides=('cairo-xcb' 'cairo')
-replaces=('cairo-xcb')
-conflicts=('cairo' 'cairo-cleartype' 'cairo-git' 'cairo-ocaml-git' 'cairo-ubuntu')
-
-source=("git+https://anongit.freedesktop.org/git/cairo#tag=$pkgver"
+pkgdesc="2D graphics library with support for multiple output devices"
+url="https://cairographics.org/"
+arch=(x86_64)
+license=(LGPL MPL)
+provides=(cairo)
+conflicts=(cairo)
+depends=(libpng libxrender libxext fontconfig pixman glib2 lzo)
+makedepends=(librsvg gtk2 poppler-glib libspectre gtk-doc valgrind git)
+checkdepends=(ttf-dejavu gsfonts)
+_commit=3ad43122b21a3299dd729dc8462d6b8f7f01142d # tags/1.16.0^0
+source=("git+https://gitlab.freedesktop.org/cairo/cairo.git#commit=$_commit"
cairo-make-lcdfilter-default.patch
cairo-respect-fontconfig_pb.patch
cairo-server-side-gradients.patch
@@ -36,28 +33,41 @@ prepare(){
patch -Np1 -i "${srcdir}"/cairo-respect-fontconfig_pb.patch
patch -Np1 -i "${srcdir}"/cairo-server-side-gradients.patch
patch -Np1 -i "${srcdir}"/cairo-webkit-html5-fix.patch
+
+ # Update gtk-doc
+ cp /usr/share/aclocal/gtk-doc.m4 build/aclocal.gtk-doc.m4
+ cp /usr/share/gtk-doc/data/gtk-doc.make build/Makefile.am.gtk-doc
+
NOCONFIGURE=1 ./autogen.sh
}
build() {
cd $_name
./configure --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --disable-static \
- --enable-tee \
- --disable-lto \
- --enable-gl \
- --enable-egl \
- --enable-svg \
- --enable-ps \
- --enable-pdf \
- --enable-gobject \
- --enable-gtk-doc
- sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-gl \
+ --enable-tee \
+ --enable-svg \
+ --enable-ps \
+ --enable-pdf \
+ --enable-gobject \
+ --enable-gtk-doc \
+ --enable-full-testing \
+ --enable-test-surfaces
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
make
}
+check() {
+ cd cairo
+ # FIXME: tests don't pass
+ env CAIRO_TEST_TARGET=image \
+ CAIRO_TEST_TARGET_FORMAT=rgba \
+ CAIRO_TESTS='!pthread-show-text' make -k check || :
+}
+
package() {
cd $_name
make DESTDIR="$pkgdir" install